package	jp.co.sds_corp.util.daemon.file;

import java.io.File;

import jp.co.sds_corp.util.log.CmnLogFactory;
import jp.co.sds_corp.util.log.CmnLogger;

/**
* ファイルを削除します。
<PRE>
&lt;Service name="Remover" class="jp.co.sds_corp.util.daemon.file.FileRemover"&gt;
&lt;/Service&gt;
</PRE>
*/
public class FileRemover extends AbstractFileProcessor
{
	CmnLogger logger = CmnLogFactory.getInstance().getLogger(this);

	/**
	* ファイルの受信処理を開始します。
	*/
	public void start( File file ) throws Exception {
		setStatus( Status.RUN );
		logger.info( "remove file [" + file + "]" );
		boolean bRet = file.delete();
		if ( !bRet ) {
			logger.warn( "can't remove file [" + file + "]" );
		}
		setStatus( Status.WAIT );
	}

}
