package	jp.co.sds_corp.util.daemon.filter;

import java.io.Serializable;

import jp.co.sds_corp.util.config.IConfigSavable;
import jp.co.sds_corp.util.config.IConfigurable;

/**
* イベントのフィルタリングを行なうオブジェクトの定義です。
*/
public interface IFilter extends IConfigurable, IConfigSavable, Serializable
{
	public enum Type {
		/** 設定された時間内の処理を許可します。 */
		ALLOW,
		/** 設定された時間内の処理を拒否します。 */
		DENY;
	}

	/**
	* 処理の可否を設定ます。
	* @see		Type#ALLOW
	* @see		Type#DENY
	* @param	var		処理の可否
	*/
	public void setType( Type var );
	/**
	* 時間内の処理の可否を返します。
	* @see		Type#ALLOW
	* @see		Type#DENY
	* @return	処理の可否
	*/
	public Type getType();

	/**
	* 現在時刻がこの時間帯に含まれるかどうかをチェックします。
	* @return	この時間帯に含まれるか否かのチェック結果
	*/
	public boolean isValid();

}

