package	jp.co.sds_corp.util.daemon.util;

import jp.co.sds_corp.util.config.IConfiguration;
import jp.co.sds_corp.util.daemon.AbstractService;

/**
* VMを終了させます。
* XMLは以下の形式です。
<PRE>
&lt;Initialize name="Exit"
	class="jp.co.sds_corp.util.daemon.util.ExitService"&gt;
	&lt;ExitCode&gt;0&lt;ExitCode&gt;
&lt;/Initialize&gt;
</PRE>
*/
public class ExitService extends AbstractService
{
	int		nExit;

	/**
	* 設定情報から、初期化情報を取得します。
	*/
	public void init( IConfiguration config ) throws Exception {
		nExit = config.getInteger( "ExitCode", 0 );
	}

	/**
	* サービスを開始します。
	*/
	public void start() {
		System.exit( nExit );
	}

	/**
	* サービスを終了します。
	*/
	public void stop() {
	}

	/**
	* 設定されている内容をXML形式で出力します。
	* @param	config	設定情報
	*/
	public void saveConfig( IConfiguration config ) {
		super.saveConfig( config );
		config.addChild( "ExitCode", String.valueOf( nExit ));
	}

	/**
	* このサービスの文字列表現を返します。
	*/
	public String toString() {
		String ret = super.toString();
		ret += "exit=" + nExit;
		return ret;
	}
}

